#use "webbrowser.lib"
class CWebBrowser : CWindow
{
	declare CWebBrowser();
	declare _CWebBrowser();
	declare virtual Create(int l,int t,int w,int h,int style,int exstyle,string title,CWindow *parent),int;
	declare virtual Destroy(),int;
	declare virtual OnClose(),int;
	declare virtual WndProc(unsigned int message, unsigned int wparam, unsigned int lparam),int;
	//Messages from browser control
	declare virtual OnBeforeNav(string url,string headers,string *pPostData),int;
	declare virtual OnDownloadBegin(),int;
	declare virtual OnDownloadComplete(),int;
	declare virtual OnNavComplete(string url),int;
	declare virtual OnProgressChange(int progress,int progressmax),int;
	declare virtual OnStatusTextChange(string status),int;
	declare virtual OnTitleChange(string title),int;
	//Actions
	declare CancelNav();
	declare LoadFromString(string html);
	declare Navigate(string url);
	declare GetTitle(),heap;
	declare GoBack();
	declare GoForward();
	declare GoHome();
	declare IsBackEnabled(),int;
	declare IsForwardEnabled(),int;
	declare PrintPage();
	declare Refresh();
	declare Search();
	declare Stop();
	void *m_pBrowser;

}

declare extern BROWSERWAIT(opt int nosleep=0);